Subject: bug#57020: 29.0.50; Mouse wheel stops working

From: Michael Heerdegen <[email-masked]>
Date: Mon, 08 Aug 2022 03:58:21 +0200

Po Lu <[email-masked]> writes:

> 		      printf ("%g\n", delta);
>
> afterwards?  Then, please see if any (and what) values are printed once
> the mouse wheel stops working.

Short answer: nothing is printed.

Before the issue starts happening, I see -1 and +1 for each wheel
"click" and lots of 1.79769e+308 values when moving the mouse.

Once scrolling stopped working, mouse wheel turning leads to no output
any more (but the 1.79769e+308 values are still printed).

What I was also noticing: when turning the mouse wheel over the scroll
bar, there is a visual feedback: it looks like the scroll bar would lead
to a scroll (the bar moves), but scrolling is not happening, the buffer
text stands still.  Also that is happening without output for DELTA.

Michael.